Subject: [Megaco] what is the meaning of Reserve Value and Reserve Group

From: John Joseph Chooracken <[email-masked]>
Date: Thu, 7 Mar 2002 12:13:00 +0530

Hi ,
  
   Please tell me  what is the difference between Reserve Value and Reserve
Group in Local Control Descriptor. 

Thanx in advance.

Regards,
John
"Scientists study the world as it is, engineers create the world that never
has been. " 
-- Theodore Von Karman 

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Stefan Johansan <[email-masked]>
Date: Fri, 15 Mar 2002 16:54:21 -0800 (PST)

Hello List,

Tom's explanation really serves a purpose of making things clear, atleast it is making me conceptually clearer..

But I could not understand this note in the draft.(Section 7.1.8). 

NOTE “ If a Local or Remote descriptor contains multiple groups of  properties, and ReserveGroup is true, then the MG is requested to  reserve resources so that it can decode or encode the media stream according to any of the alternatives.  For instance, if the Local  descriptor contains two groups of properties, one specifying    packetized G.711 A-law audio and the other G.723.1 audio, the MG reserves resources so that it can decode one audio stream encoded in  either G.711 A-law format or G.723.1 format.  The MG does not have to reserve resources to decode two audio streams simultaneously, one encoded in G.711 A-law and one in G.723.1.  The intention for the 
use of  ReserveValue is analogous. 

Doesnt this mean that MG should allocate resource for codecs G.711 A-law and G.723.1 for this particular stream..But then the stream could come in any fashion, and then determine the decoding algo to be used, and release the other resource??

It will be really nice if someone could also explain (or privde some links about) the hardware part involved in media encoding/decoding in a gateway. Because I am a bit confused about codecs, and how does a codec (which is just ans algo) mean a resource that needs to be reserved? 

Thanks

Stefan

From: "Tom-PT Taylor"<[email-masked]> 
To: "'Zhang, Yuyong'" <[email-masked]>, 
        "'Christian Groves'" 
         <[email-masked]>, 
        John Joseph Chooracken 
         <[email-masked]> 
Cc: "[email-masked]'" <[email-masked]> 
Subject: RE: [Megaco] what is the meaning of Reserve Value and Reserve Gro 
         up 
Date: Fri, 15 Mar 2002 17:47:53 -0500 
X-Mailer: Internet Mail Service (5.5.2653.19) 
Sender: [email-masked] 
X-Mailman-Version: 1.0 
List-Id: Media Gateway Control <megaco.ietf.org> 
X-BeenThere: [email-masked] 

A group is equivalent to a session description (i.e. the v=0 line and whatfollows).  So ReserveGroup indicates whether to choose and reserve resourcesfor one of a set of session descriptions, or to reserve resources for all ofthem.  Within each, ReserveValue indicates whether to choose and reserve oneof a set of alternative values (particularly codecs) or to be prepared tohandle all of the presented values.  Christian's examples below translateinto
Case 1:
Local={v=0o=...s=...c=IP IP4 ...m=audio ? rtp/avp 96a=rtpmap: 96 AMR [see draft-ietf-avt-rtp-amr-13.txt]v=0o=...s=...c=ATM ...m=audio ? AAL1/ATMF 0[see RFC 3108]etc.}
ReserveGroup=true would cause resources to be reserved for both AMR over IPand PCM mu-law over AAL1.  ReserveGroup=false would cause the MG to chooseone of these two possibilities, with the first being preferred.
Case 2:
Local={v=0o=...s=...c=ATM ...m=audio ? AAL1/ATMF 96 97a=atmmap: 96 AMRa=atmmap: 97 PCMU[references as above]etc.}
ReserveValue=true would cause resources to be reserved to support both AMRand PCM mu-law over AAL1.  ReserveValue=false would cause resources to bereserved for just one of these possibilities, with AMR preferred.

-----Original Message-----From: Zhang, Yuyong [mailto:[email-masked]]Sent: Friday, March 15, 2002 2:38 PMTo: 'Christian Groves'; John Joseph ChoorackenCc: [email-masked]'Subject: RE: [Megaco] what is the meaning of Reserve Value and ReserveGro up

Hi Christian, all
How the Group information are represented in the SDP? Please give a examplein SDP syntax about the usage of Group (the c-line, m-line, a-linecombination.
Regards,
Yuyong
-----Original Message-----From: Christian Groves [mailto:[email-masked]]Sent: Tuesday, March 12, 2002 4:22 PMTo: John Joseph ChoorackenCc: [email-masked]'Subject: Re: [Megaco] what is the meaning of Reserve Value and ReserveGroup

Hello John,
Reserve Group allows you to reserve resources for different sets of anumber of properties/SDP lines. eg.Group ID 1        pkg1/codec = AMR        pkg2/transport = IPGroup ID 2        pkg1/codec = G711        pkg2/transport = ATM
Whereas reserve value only reserves values for single properties. eg.        pkg1/codec = AMR, G711        pkg2/transport = ATM
Regards, Christian
John Joseph Chooracken wrote:> > Hi ,> >    Please tell me  what is the difference between Reserve Value andReserve> Group in Local Control Descriptor.> > Thanx in advance.> > Regards,> John

---------------------------------
Do You Yahoo!?
Yahoo! Sports - live college hoops coverage

---

From: Stefan Johansan <[email-masked]>
Date: Fri, 15 Mar 2002 16:54:21 -0800 (PST)

Hello List,

Thanks

Stefan

Hi Christian, all

Hello John,